%define major   0
%define libname %mklibname lxqt %{major}
%define devname %mklibname lxqt -d

%define rel 3

Name:          liblxqt
Version: 0.16.0
Release:       %mkrel %rel
Summary:       Core utility Libraries for the LXQt desktop
License:       GPLv2+ and LGPLv2+
Group:         System/Libraries
URL:           https://lxqt.github.io/
Source0:       https://github.com/lxqt/liblxqt/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:       lxqt.macros

BuildRequires: cmake
BuildRequires: lxqt-build-tools

BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(PolkitQt5-1)
BuildRequires: pkgconfig(Qt5Xdg) >= 3.3.0
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: libapr
BuildRequires: libapr-util

Conflicts:     lxqt-l10n < 0.13.0-4
Obsoletes:     lxqt-l10n < 0.13.0-4

%description
Core utility Libraries for the LXQt desktop.

%package -n %{libname}
Summary:       Core Libraries for the LXQt desktop
Group:         System/Libraries

%description -n %{libname}
Core Libraries for the LXQt desktop.

%package -n %{devname}
Summary:       Development files for %{name}
Group:         Development/C
Requires:      %libname = %version
Provides:      %name-devel = %version-%release
Provides:      lxqt-devel = %version-%release

Requires:      lxqt-build-tools

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%setup -q %{name}-%{version}
%autopatch -p1

%build
%cmake_qt5 -DLXQT_ETC_XDG_DIR=%{_sysconfdir}/xdg
%cmake_build

%install
%cmake_install

# RPM macros
install -p -m0644 -D %{SOURCE1} %{buildroot}%_sysconfdir/rpm/macros.d/lxqt.macros
sed -i -e "s|@@CMAKE_VERSION@@|%{version}|" %{buildroot}%_sysconfdir/rpm/macros.d/lxqt.macros
touch -r %{SOURCE1} %{buildroot}%_sysconfdir/rpm/macros.d/lxqt.macros

%files
%{_bindir}/lxqt-backlight_backend
%{_datadir}/lxqt/power.conf
%{_datadir}/polkit-1/actions/org.lxqt.backlight.pkexec.policy
%{_datadir}/lxqt/translations/liblxqt/

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/lxqt/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/cmake/lxqt/
%{_sysconfdir}/rpm/macros.d/lxqt.macros


%changelog
* Thu Dec 17 2020 daviddavid <daviddavid> 0.16.0-3.mga8
+ Revision: 1659968
- rebuild for missing pkgs

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1658984
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643173
- New version 0.16.0

* Sat Jun 06 2020 daviddavid <daviddavid> 0.15.1-1.mga8
+ Revision: 1590680
- New version 0.15.1
- update Url

* Sat May 23 2020 daviddavid <daviddavid> 0.15.0-2.mga8
+ Revision: 1586983
- fix provide from devel pkg

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571800
- New version 0.15.0

* Sat Feb 15 2020 daviddavid <daviddavid> 0.14.1-3.mga8
+ Revision: 1525903
- add upstream patch to fix build with Qt 5.14
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383121
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380817
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-2.mga7
+ Revision: 1361448
- obsoletes/conflicts deprecated lxqt-l10n package

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361306
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-3.mga7
+ Revision: 1345460
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1298970
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1235876
- New version 0.13.0

* Thu Nov 02 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1175481
- New version 0.12.0

* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-3.mga6
+ Revision: 1093321
- Fix requires in the devel package

* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-2.mga6
+ Revision: 1093306
- New version 0.11.1

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1065920
- New version 0.11.0

* Mon Mar 21 2016 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 993516
- fix breakage when handling .desktop files with grep > 2.23 (mga#17981)
- update translations during build if necessary

* Mon Feb 15 2016 umeabot <umeabot> 0.10.0-4.mga6
+ Revision: 961075
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900903
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-2.mga6
+ Revision: 900064
- Fix LXQT_ETC_XDG_DIR

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900010
- New version 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816423
- new version 0.9.0
- remove conditional handling for QT5 as QT4 is not supported anymore
- added BuildRequires on kwindowsystem-devel and pkgconfig(Qt5Widgets)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 803658
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 793180
- correct license
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 738333
- add missing BuildRequires on pkgconfig(Qt5Help)
- used fixed 0.8 tarball
- add missing BuildRequires on pkgconfig(Qt5X11Extras)
- added missing BuildRequires on pkgconfig(Qt5DBus)
- new version 0.8
- added conditionals for QT5 builds, also adjusted file list

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 681583
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-2.mga5
+ Revision: 675110
- obsolete librazorqt-devel

* Wed May 21 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 624620
- remove useless Requires, use proper Requires/Provides
- use %%mkrel
- imported package liblxqt


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: 20fa46b
- Automatic import for version 0.7.0-1


